clear all; close all;
filenaam='Test6trial.ASC';

%inlezen Dasylab ascii-file:
data = textread(filenaam,'','delimiter',';','headerlines',7);
nrows=size(data,1);
ncolumns=size(data,2);
data=data(:,1:ncolumns-1);
lengte = length(data);

Correction=100.0;
x=data(1:lengte,1)/Correction;

dx=(x(2)-x(1));           % Bemonsteringsinterval [m]
Fs=abs(0.1/dx);           % SampleFrequency of inputsignal p [Hz]
Ffilter = 0.01000;        % Kantelfrequentie van het FILTER in Hz  ~ -4.5db-punt

N1=257;
delay1=N1*dx/2;
idelay1=round(abs((10/dx)*delay1));
h1 = fdesign.lowpass('n,fc',N1,Ffilter,Fs);
Hm1 = design(h1,'window');

conductivity(lengte+idelay1+1:lengte+2*idelay1)=data(lengte,2);
conductivity(idelay1+1:lengte+idelay1)=data(1:lengte,2);
conductivity(1:idelay1)=data(1,2);

pressure(lengte+idelay1+1:lengte+2*idelay1)=data(lengte,3);
pressure(idelay1+1:lengte+idelay1)=data(1:lengte,3);
pressure(1:idelay1)=data(1,3);

productflow(lengte+idelay1+1:lengte+2*idelay1)=data(lengte,4);
productflow(idelay1+1:lengte+idelay1)=data(1:lengte,4);
productflow(1:idelay1)=data(1,4);

voltagehighpressure(lengte+idelay1+1:lengte+2*idelay1)=data(lengte,5);
voltagehighpressure(idelay1+1:lengte+idelay1)=data(1:lengte,5);
voltagehighpressure(1:idelay1)=data(1,5);

voltagelowpressure(lengte+idelay1+1:lengte+2*idelay1)=data(lengte,6);
voltagelowpressure(idelay1+1:lengte+idelay1)=data(1:lengte,6);
voltagelowpressure(1:idelay1)=data(1,6);


y1=1.0*(pressure+0.000)+0.0; %   Pressure in bar

y2=y1;

y3=y2;

y4 = filter(Hm1,y3);         % PersistentMemory is false (default)
zf1 = Hm1.States;            % Final conditions


plot( Correction*(x-x(1))/3600, 0.01*conductivity(2*idelay1+1:lengte+2*idelay1)-0.0,'b'); hold on;
%plot( Correction*(x-x(1))/3600, 1.0*pressure(2*idelay1+1:lengte+2*idelay1)-0.0,'m'); 
plot( Correction*(x-x(1)-1.0*delay1)/3600, y4(2*idelay1+1:lengte+2*idelay1)-0.0,'g','LineWidth',1.5)
plot( Correction*(x-x(1))/3600, 1.0*productflow(2*idelay1+1:lengte+2*idelay1)-0.0,'k');
plot( Correction*(x-x(1))/3600, 1.0*voltagehighpressure(2*idelay1+1:lengte+2*idelay1)-0.0,'m');
plot( Correction*(x-x(1))/3600, 1.0*voltagelowpressure(2*idelay1+1:lengte+2*idelay1)-0.0,'y');

title(filenaam);
%xlabel('Time [ sec ]');
xlabel('Time [ hours ]');
%ylabel('pressure [ bar ]');
ylabel('   ');
%legend('conductivity [0.01*uS/cm]','pressure [bar]','smoothed pressure [bar]','product flow [l/min]','voltage speed high pressure [V]','voltage speed low pressure [V]');
legend('conductivity [0.01*uS/cm]','smoothed pressure [bar]','product flow [l/min]','voltage speed high pressure [V]','voltage speed low pressure [V]');

s1 = regexprep(filenaam, '.ASC', '_PLOT.png');
s2 = regexprep(s1, '.asc', '_PLOT.png');
hold off;
print('-dpng',s2);

