filenaam='Test1strun.ASC'; 

% read Dasylab ascii-file:
data = textread(filenaam,'','delimiter',';','headerlines',7);
nrows=size(data,1);
ncolumns=size(data,2);
data=data(:,1:ncolumns-1);
lengte = length(data);

conductivity=data(1:lengte,2);
pressure=data(1:lengte,3);
productflow=data(1:lengte,4);
voltagehighpressure=data(1:lengte,5);
voltagelowpressure=data(1:lengte,6);

linecolour='kbgymkbgymkbgymkbgymkbgym';

plot(data(1:lengte,1),0.001*conductivity,'b'); hold on;
plot(data(1:lengte,1),pressure,'g');
plot(data(1:lengte,1),productflow,'k');
plot(data(1:lengte,1),voltagehighpressure,'m','LineWidth',3);
plot(data(1:lengte,1),voltagelowpressure,'y','LineWidth',3);

title(filenaam);
xlabel('Time [ sec ]');
ylabel('   ');

legend('conductivity [mS/cm]','pressure [bar]','product flow [l/min]','voltage speed high pressure [V]','voltage speed low pressure [V]');


s1 = regexprep(filenaam, '.ASC', '_plot.png');
s2 = regexprep(s1, '.asc', '_plot.png');
hold off;
print('-dpng',s2);
%print;

