filenaam='Test1strun.ASC'; 

% read Dasylab ascii-file:
data = textread(filenaam,'','delimiter',';','headerlines',7);
nrows=size(data,1);
ncolumns=size(data,2);
data=data(:,1:ncolumns-1);
lengte = length(data);

conductivity=data(1:lengte,2);
pressure=data(1:lengte,3);
productflow=data(1:lengte,4);
voltagehighpressure=data(1:lengte,5);
voltagelowpressure=data(1:lengte,6);

linecolour='kbgymkbgymkbgymkbgymkbgym';

start=1;
%finish=200000;
finish=lengte;
%start=finish-2*60*60;
%start=finish-3*60*60;

plot(data(start:finish,1),0.01*conductivity(start:finish),'b'); hold on;
plot(data(start:finish,1),pressure(start:finish),'g');
plot(data(start:finish,1),productflow(start:finish),'k');
plot(data(start:finish,1),voltagehighpressure(start:finish),'m','LineWidth',3);
plot(data(start:finish,1),voltagelowpressure(start:finish),'y','LineWidth',3);

title(filenaam);
xlabel('Time [ seconds ]');
ylabel('   ');

legend('conductivity [0.01*uS/cm]','pressure [bar]','product flow [l/min]','voltage speed high pressure [V]','voltage speed low pressure [V]');


s1 = regexprep(filenaam, '.ASC', '_plot.png');
s2 = regexprep(s1, '.asc', '_plot.png');
hold off;
print('-dpng',s2);
%print;

